version: "3.8"

services:
  stunnel:

    image: ${REGISTRY}stunnel

    ports:
      - "${STUNNEL_ACCEPT}:${STUNNEL_ACCEPT}"

    environment:
    - STUNNEL_SVC=${STUNNEL_SVC}
    - STUNNEL_ACCEPT=${STUNNEL_ACCEPT}
    - STUNNEL_CONNECT=${STUNNEL_CONNECT}
    - STUNNEL_CLIENT=${STUNNEL_CLIENT}

    env_file:
      - "${STUNNEL_BASE_ENV}"

    secrets:
      - stunnel_crt
      - stunnel_key

    volumes:
      - "./config/stunnel.conf:/run/stunnel/stunnel.conf.template:z"

    networks:
      - external_service

networks:
  external_service:
    external: True
    name: ${STUNNEL_SVC_NETWORK}

secrets:
  stunnel_key:
    name: stunnel_${STUNNEL_SVC}.key.${FINGERPRINT}
    external: True
  stunnel_crt:
    name: stunnel_${STUNNEL_SVC}.crt.${FINGERPRINT}
    external: True
